View Issue Details

IDProjectCategoryView StatusLast Update
0014467ScribusGeneralpublic2020-09-08 21:53
ReporterSRDC Assigned Tojghali  
PrioritynormalSeveritymajorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.5.2 
Target Version1.5.5Fixed in Version1.5.6.svn 
Summary0014467: 1.5.x slows down immensely (with high CPU usage) when opening 1.4.6 file
DescriptionHave a 147 page 20MB .sla file - no pictures, but lots of groups (a custom daily planner). Just upgraded from Scribus 1.4.6 (scribus PPA), where the document works fine, to Scribus 1.5.2 (from scribus-ng PPA).

Reason for upgrading (besides liking to keep updated software) was that group/ungroup and deletion of groups takes a LONG time. Based on some bug report discussions, it looked like the scribus-ng release might help that. However, it doesn't seem to work well since I can't open the file.

OS: Ubuntu Gnome 16.04.1
CPU: i5 2.4GHz
Memory: 4GB
Steps To ReproduceOpen file saved in Scribus 1.4.6 in Scribus 1.5.2. Not sure if it is for every file, or just this one.

Not sure how to upload the file, as it is too large for the file upload.
TagsNo tags attached.
PatchNo

Relationships

has duplicate 0016235 closedjghali Scribus goes into infinite loop when opening a file with a lot of linked frames 

Activities

Kunda

2016-12-14 01:24

updater   ~0042981

Since you haven't shared the SLA and....
there are known issues for large files and...
issues also opening older versions of 1.4 on 1.5...
try testing by opening the SLA on 1.5.3svn (the latest SVN version)
Of course, backup your work first. Also devs don't recommend using 1.5.3svn for production.

SRDC

2016-12-14 01:25

reporter   ~0042982

Is there a good way to share the SLA?

SRDC

2016-12-14 01:37

reporter   ~0042984

OK. I uploaded it to our website: http://solidrock-ent.com/2016%20Daily%20Planner.sla

Kunda

2016-12-14 02:03

updater   ~0042985

@SRDC thanks.
Devs, I can confirm the issue on 1.5.3svn r21650
Manjaro 16.10
Qt5.7

Kunda

2016-12-14 02:06

updater   ~0042986

Last edited: 2016-12-14 02:24

View 2 revisions

@SRDC It actually opened. So it's not an 'infinite loop'. It took ~ 8 minutes or something. (I have 4 cores and 16GB ram)

SRDC

2016-12-14 02:11

reporter   ~0042987

OK. I thought I'd left it for over an hour, so just assumed it was 'infinite.' Thanks. What should I do now? Just stick with 1.4.6 for that document?

Kunda

2016-12-14 02:25

updater   ~0042988

@SRDC for now stick to 1.4.6
Let see what the devs say when they're online.

SRDC

2016-12-14 02:35

reporter   ~0042989

Alright. Thanks for your help!

Kunda

2016-12-16 12:18

updater   ~0043062

Moving to 1.5.3 Roadmap to get some attention

Kunda

2016-12-16 12:21

updater  

2016-Daily-Planner.sla.gz (318,118 bytes)

Kunda

2016-12-16 12:22

updater   ~0043063

I've attached the sample SLA to the ticket (compressed with gzip)

Eneen

2017-05-20 11:32

reporter   ~0043917

I've tried to open this file and it takes about 2 mins, but Sribus uses only 1 core of my 8 here. It also seems slow when panning.

ale

2017-05-22 08:25

manager   ~0043920

yes, scribus is single threaded (and will be using only one core).

while taking advantage of multiple cores would be welcome, i think that the slowness during the import should be solved in the current code... but only if it also affects the loading of the files once it has been saved in 1.5.x format...

is there a tag for sample files that can be used to test the performance of scribus?

Issue History

Date Modified Username Field Change
2016-12-14 01:01 SRDC New Issue
2016-12-14 01:24 Kunda Note Added: 0042981
2016-12-14 01:25 SRDC Note Added: 0042982
2016-12-14 01:37 SRDC Note Added: 0042984
2016-12-14 02:03 Kunda Note Added: 0042985
2016-12-14 02:04 Kunda Status new => confirmed
2016-12-14 02:04 Kunda Summary Scribus 1.5.2 goes into infinite hang (with high CPU usage) when opening Scribus 1.4.6 file => Scribus 1.5.x goes into infinite hang (with high CPU usage) when opening Scribus 1.4.6 file
2016-12-14 02:06 Kunda Note Added: 0042986
2016-12-14 02:11 SRDC Note Added: 0042987
2016-12-14 02:24 Kunda Note Edited: 0042986 View Revisions
2016-12-14 02:25 Kunda Note Added: 0042988
2016-12-14 02:35 SRDC Note Added: 0042989
2016-12-16 12:18 Kunda Target Version => 1.5.3
2016-12-16 12:18 Kunda Note Added: 0043062
2016-12-16 12:19 Kunda Summary Scribus 1.5.x goes into infinite hang (with high CPU usage) when opening Scribus 1.4.6 file => Scribus 1.5.x slows doon immensly (with high CPU usage) when waiting to open Scribus 1.4.6 file
2016-12-16 12:21 Kunda File Added: 2016-Daily-Planner.sla.gz
2016-12-16 12:22 Kunda Note Added: 0043063
2016-12-16 16:57 Kunda Summary Scribus 1.5.x slows doon immensly (with high CPU usage) when waiting to open Scribus 1.4.6 file => Scribus 1.5.x slows down immensly (with high CPU usage) when waiting to open Scribus 1.4.6 file
2016-12-16 20:41 Kunda Summary Scribus 1.5.x slows down immensly (with high CPU usage) when waiting to open Scribus 1.4.6 file => 1.5.x slows down immensly (with high CPU usage) when waiting to open 1.4.6 file
2017-05-20 11:32 Eneen Note Added: 0043917
2017-05-22 08:25 ale Note Added: 0043920
2017-05-23 21:06 cbradney Target Version 1.5.3 => 1.5.4
2018-04-30 13:25 jghali Target Version 1.5.4 => 1.5.5
2020-02-04 20:21 jghali Summary 1.5.x slows down immensly (with high CPU usage) when waiting to open 1.4.6 file => 1.5.x slows down immensly (with high CPU usage) when opening 1.4.6 file
2020-02-04 20:27 jghali Summary 1.5.x slows down immensly (with high CPU usage) when opening 1.4.6 file => 1.5.x slows down immensely (with high CPU usage) when opening 1.4.6 file
2020-02-04 20:27 jghali Assigned To => jghali
2020-02-04 20:27 jghali Status confirmed => resolved
2020-02-04 20:27 jghali Resolution open => fixed
2020-02-04 20:27 jghali Fixed in Version => 1.5.6.svn
2020-04-05 19:37 cbradney Status resolved => closed
2020-09-08 21:53 jghali Relationship added has duplicate 0016235